All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.iquery.metadata
Interface IntelligentQueryMetadataServiceInterface

    public interface IntelligentQueryMetadataServiceInterface

Specifies an object that is more of a container or a configuration/context of knowledge that SAS Query Services has about supported databases and server information. The API user can find the bulk of this information available through ServerProperties objects. Other than being a holder of this information, it also has a number of utility-oriented methods which are being deprecated and moved to more proper class locations.

Method Summary
`boolean` | `isRepositoryWritable(com.sas.services.session.SessionContextInterface session, java.lang.String reposName)` Returns whether the user associated with the given SessionContextInterface has write access to the named repository

Method Detail

### isRepositoryWritable

    boolean isRepositoryWritable(com.sas.services.session.SessionContextInterface session,
                                 java.lang.String reposName)
                                 throws MetadataException

  Returns whether the user associated with the given SessionContextInterface has write access to the named repository

  Parameters:
    `session` - The session to use to perform this function within the context of.
    `reposName` - The repository name to check for the ability to write.
  Returns:
    boolean - true if the session can write to that repository
  Throws:
    `MetadataException` - If the function could not be accomplished.

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.